# Shunkuntype

Touch type mastering application.  

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'shunkuntype'
```

And then execute:
```
$ bundle
```
Or install it yourself as:
```
$ gem install shunkuntype
```

## Usage
```ruby
Usage: shunkuntype [options]
    -v, --version                    show program Version.
    -c, --check                      Check speed
    -d, --drill [VAL]                one minute Drill [VAL]
    -h, --history                    view training History
    -p, --plot                       Plot personal data
    -s, --submit                     Submit data to dmz0
        --review [VALUE]             Review training, VALUE=html or hiki
```
For the first time, shunkun makes .shunkuntype directory on the home dir, 
and put three data files(training, speed, server).
The training and speed data will be sent to the server, when --submit.
The --review will get the data download, and show the training and speed data in hiki or html formats, 
where the png files created by gnuplot.

For activating server all training member has ssh access, and the write permission on the directory.
The format of the server_data.txt is as follows:
```
 [login_name]\@[server_name]:directory
```

## Development

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/daddygongon/shunkuntype. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
